### Hierarchy

- IUtils

### Implemented by

- Utils

## Index

### Properties

- parseApiError

### Methods

- clonePageContent
- comparePageContent
- getDefaultCellStyle
- mergePageContent

## Properties

### parseApiError

parseApiError: function

- Defined in Utils.ts:6

#### Type declaration

- - (err: any, def?: undefined | string): string

  - #### Parameters

    - ##### err: any

    - ##### Optional def: undefined | string

    #### Returns string

## Methods

### clonePageContent

- clonePageContent(content: IPageContent, removeStyles?: undefined | false | true): IPageContent

- - Defined in Utils.ts:7

  #### Parameters

  - ##### content: IPageContent

  - ##### Optional removeStyles: undefined | false | true

  #### Returns IPageContent

### comparePageContent

- comparePageContent(currentContent: any, newContent: any, ignore_styles?: undefined | false | true): IUtilsDiff | false

- - Defined in Utils.ts:8

  #### Parameters

  - ##### currentContent: any

  - ##### newContent: any

  - ##### Optional ignore_styles: undefined | false | true

  #### Returns IUtilsDiff | false

### getDefaultCellStyle

- getDefaultCellStyle(): IPageCellStyle

- - Defined in Utils.ts:10

  #### Returns IPageCellStyle

### mergePageContent

- mergePageContent(_original: any, _current?: any, style?: any, clean?: undefined | false | true): any

- - Defined in Utils.ts:9

  #### Parameters

  - ##### _original: any

  - ##### Optional _current: any

  - ##### Optional style: any

  - ##### Optional clean: undefined | false | true

  #### Returns any

Generated using TypeDoc